Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezqdomrenderer.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: ezqdomrenderer.php 9813 2003-05-07 07:57:23Z br $
5 //
6 // Definition of eZQDomRenderer class
7 //
8 // Created on: <24-Mar-2001 12:54:26 bf>
9 //
10 // This source file is part of Exponential Basic, publishing software.
11 //
12 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
13 //
14 // This program is free software; you can redistribute it and/or
15 // modify it under the terms of the GNU General Public License
16 // as published by the Free Software Foundation; either version 2
17 // of the License, or (at your option) any later version.
18 //
19 // This program is distributed in the hope that it will be useful,
20 // but WITHOUT ANY WARRANTY; without even the implied warranty of
21 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
22 // GNU General Public License for more details.
23 //
24 // You should have received a copy of the GNU General Public License
25 // along with this program; if not, write to the Free Software
26 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
27 //
28
31
140 // include_once( "classes/eztexttool.php" );
141 // include_once( "classes/ezlog.php" );
142 // include_once( "ezimagecatalogue/classes/ezimage.php" );
143 // include_once( "ezxml/classes/ezxml.php" );
144
145 class eZQDomRenderer
146 {
150 function __construct( &$article, $template=false )
151 {
152 $UsedImageList = array();
153 $RollOverCount = 0;
154
155 $ini =& eZINI::instance( 'site.ini' );
156
157 $this->Template = new eZTemplate( "kernel/ezarticle/user/" . $ini->variable( "eZArticleMain", "TemplateDir" ),
158 "kernel/ezarticle/user/intl/", "en_GB", "articleview.php" );
159
160 if ( file_exists( "kernel/ezarticle/user/" . $ini->variable( "eZArticleMain", "TemplateDir" ) . "articletags_$template.tpl" ) )
161 {
162 $this->Template->set_file( "articletags_tpl", "articletags_$template.tpl" );
163 }
164 else
165 {
166 $this->Template->set_file( "articletags_tpl", "articletags.tpl" );
167
168 }
169
170 $this->Template->set_block( "articletags_tpl", "header_1_tpl", "header_1" );
171 $this->Template->set_block( "articletags_tpl", "header_2_tpl", "header_2" );
172 $this->Template->set_block( "articletags_tpl", "header_3_tpl", "header_3" );
173 $this->Template->set_block( "articletags_tpl", "header_4_tpl", "header_4" );
174 $this->Template->set_block( "articletags_tpl", "header_5_tpl", "header_5" );
175 $this->Template->set_block( "articletags_tpl", "header_6_tpl", "header_6" );
176
177 $this->Template->set_block( "articletags_tpl", "rollover_tpl", "rollover" );
178
179 $this->Template->set_block( "articletags_tpl", "image_tpl", "image" );
180 $this->Template->set_block( "articletags_tpl", "media_tpl", "media" );
181 $this->Template->set_block( "articletags_tpl", "file_tpl", "file" );
182 $this->Template->set_block( "image_tpl", "image_link_tpl", "image_link" );
183 $this->Template->set_block( "image_tpl", "ext_link_tpl", "ext_link" );
184 $this->Template->set_block( "image_tpl", "no_link_tpl", "no_link" );
185
186 $this->Template->set_block( "image_tpl", "image_text_tpl", "image_text" );
187
188 $this->Template->set_block( "articletags_tpl", "image_float_tpl", "image_float" );
189 $this->Template->set_block( "image_float_tpl", "image_link_float_tpl", "image_link_float" );
190 $this->Template->set_block( "image_float_tpl", "ext_link_float_tpl", "ext_link_float" );
191 $this->Template->set_block( "image_float_tpl", "no_link_float_tpl", "no_link_float" );
192
193 $this->Template->set_block( "articletags_tpl", "link_tpl", "link" );
194 $this->Template->set_block( "articletags_tpl", "popuplink_tpl", "popuplink" );
195
196 $this->Template->set_block( "articletags_tpl", "hr_tpl", "hr" );
197
198 $this->Template->set_block( "articletags_tpl", "bold_tpl", "bold" );
199 $this->Template->set_block( "articletags_tpl", "italic_tpl", "italic" );
200 $this->Template->set_block( "articletags_tpl", "underline_tpl", "underline" );
201 $this->Template->set_block( "articletags_tpl", "strong_tpl", "strong" );
202 $this->Template->set_block( "articletags_tpl", "strike_tpl", "strike" );
203 $this->Template->set_block( "articletags_tpl", "factbox_tpl", "factbox" );
204 $this->Template->set_block( "articletags_tpl", "quote_tpl", "quote" );
205 $this->Template->set_block( "articletags_tpl", "pre_tpl", "pre" );
206 $this->Template->set_block( "articletags_tpl", "html_tpl", "html" );
207
208 // lists
209 $this->Template->set_block( "articletags_tpl", "bullet_tpl", "bullet" );
210 $this->Template->set_block( "bullet_tpl", "bullet_item_tpl", "bullet_item" );
211
212 $this->Template->set_block( "articletags_tpl", "list_tpl", "list" );
213 $this->Template->set_block( "list_tpl", "list_item_tpl", "list_item" );
214
215 // table
216 $this->Template->set_block( "articletags_tpl", "table_tpl", "table" );
217 $this->Template->set_block( "table_tpl", "tr_tpl", "tr" );
218 $this->Template->set_block( "tr_tpl", "td_tpl", "td" );
219
220 // user defined tags
221 $customTags = $ini->variable( "eZArticleMain", "CustomTags" );
222
223 $this->CustomTagsArray = explode( ";", $customTags );
224
225 foreach ( $this->CustomTagsArray as $tag )
226 {
227 $this->Template->set_block( "articletags_tpl", $tag . "_tpl", "$tag" );
228 }
229
230 // get custom <br> command, needed for other renderes than html
231 $this->BrOverride = $this->Template->get_user_variable( "articletags_tpl", "br" );
232 if ( $this->BrOverride=="" ) {
233 $this->BrOverride = true;
234 }
235
236 $this->Article =& $article;
237 }
238
242 function &renderIntro()
243 {
244 // $xml =& xmltree( $this->Article->contents() );
245 $xml =& eZXML::domTree( $this->Article->contents() );
246
247 if ( !$xml )
248 {
249 print( "<br /><b>Error: eZQDomRenderer::docodeXML() could not decode XML</b><br />" );
250 }
251 else
252 {
253 $intro = "";
254
255 $articleImages = $this->Article->images();
256 $articleID = $this->Article->id();
257
258 $i=0;
259 $this->PrevTag = "";
260 foreach ( $xml->children as $child )
261 {
262 if ( $child->name == "article" )
263 {
264 foreach ( $child->children as $article )
265 {
266 if ( $article->name == "intro" )
267 {
268 if ( count( $article->children ) > 0 )
269 {
270 foreach ( $article->children as $paragraph )
271 {
272 $intro .= $this->renderPlain( $paragraph );
273 $intro .= $this->renderStandards( $paragraph );
274 $intro .= $this->renderCustom( $paragraph );
275 $intro .= $this->renderImage( $paragraph );
276 $intro .= $this->renderHeader( $paragraph );
277 $intro .= $this->renderMedia( $paragraph );
278 $intro .= $this->renderFile( $paragraph );
279 $intro .= $this->renderLink( $paragraph );
280 $intro .= $this->renderHr( $paragraph );
281 $intro .= $this->renderTable( $paragraph );
282 $intro .= $this->renderRollOver( $paragraph );
283
284 $this->PrevTag = $paragraph->name;
285 }
286 }
287 }
288 }
289 }
290 }
291
292 // $newArticle = eZTextTool::nl2br( $intro );
293 $newArticle = stripslashes($intro);
294 }
295
296 return $newArticle;
297 }
298
302 function &renderPage( $pageNumber=0 )
303 {
304 // $xml =& qdom_tree( $this->Article->contents() );
305
306 $xml =& eZXML::domTree( $this->Article->contents() );
307
308 // $xml =& xmltree( $this->Article->contents() );
309
310 // $err = qdom_error();
311 // if ( $err )
312 // print( $err );
313
314 if ( !$xml )
315 {
316 print( "<br /><b>Error: eZQDomRenderer::docodeXML() could not decode XML</b><br />" );
317 }
318 else
319 {
320 $intro = "";
321
322 $this->PrevTag = "";
323 $articleImages =& $this->Article->images();
324
325 if ( is_a( $this->Article, "eZArticle" ) )
326 $articleMedia =& $this->Article->media();
327
328 $articleID = $this->Article->id();
329
330 $body = array();
331
332 foreach ( $xml->children as $child )
333 {
334 if ( $child->name == "article" )
335 {
336 foreach ( $child->children as $article )
337 {
338 if ( $article->name == "intro" )
339 {
340 if ( count( $article->children ) > 0 )
341 foreach ( $article->children as $paragraph )
342 {
343 $intro .= $this->renderHeader( $paragraph );
344 $intro .= $this->renderPlain( $paragraph );
345 $intro .= $this->renderStandards( $paragraph );
346 $intro .= $this->renderCustom( $paragraph );
347 $intro .= $this->renderImage( $paragraph );
348 $intro .= $this->renderMedia( $paragraph );
349 $intro .= $this->renderFile( $paragraph );
350 $intro .= $this->renderLink( $paragraph );
351 $intro .= $this->renderHr( $paragraph );
352 $intro .= $this->renderTable( $paragraph );
353 $intro .= $this->renderRollOver( $paragraph );
354
355 $this->PrevTag = $paragraph->name;
356 }
357 }
358
359 if ( $article->name == "body" )
360 {
361 $body = $article->children;
362 }
363 }
364 }
365 }
366
367 $pageArray = array();
368 // loop on the pages
369 foreach ( $body as $page )
370 {
371 if ( $page->name == "page" )
372 {
373 $pageContent = "";
374 $this->PrevTag = "";
375 // loop on the contents of the pages
376 if ( isset( $page->children ) && count( $page->children ) > 0 )
377 foreach ( $page->children as $paragraph )
378 {
379 $pageContent .= $this->renderHeader( $paragraph );
380 $pageContent .= $this->renderStandards( $paragraph );
381 $pageContent .= $this->renderCustom( $paragraph );
382 $pageContent .= $this->renderPlain( $paragraph );
383 $pageContent .= $this->renderImage( $paragraph );
384 $pageContent .= $this->renderMedia( $paragraph );
385 $pageContent .= $this->renderFile( $paragraph );
386 $pageContent .= $this->renderLink( $paragraph );
387 $pageContent .= $this->renderHr( $paragraph );
388 $pageContent .= $this->renderTable( $paragraph );
389 $pageContent .= $this->renderRollOver( $paragraph );
390
391
392 $this->PrevTag = $paragraph->name;
393
394 }
395 $pageArray[] = $pageContent;
396 }
397 }
398
399 $returnArray = array();
400 $bodyContents = "";
401
402 if ( $pageNumber == -1 )
403 {
404 $newArticle = $intro . "\n</p><p>\n";
405 if ( count( $pageArray ) > 0 )
406 foreach ( $pageArray as $page )
407 {
408 $bodyContents .= $page;
409 }
410 }
411 else if ( $pageNumber != 0 )
412 {
413 $intro = "";
414 $bodyContents = $pageArray[$pageNumber];
415 }
416 else
417 {
418 $bodyContents = $pageArray[$pageNumber];
419 }
420 }
421
422 $returnArray[] =& stripslashes($intro);
423 $returnArray[] =& stripslashes($bodyContents);
424
425 return $returnArray;
426 }
427
431 function &renderRollOver( $paragraph )
432 {
433 $pageContent = "";
434 if ( $paragraph->name == "rollover" )
435 {
436 if ( count( $paragraph->attributes ) > 0 )
437 {
438 foreach ( $paragraph->attributes as $attr )
439 {
440 switch ( $attr->name )
441 {
442 case "url" :
443 {
444 $url = $attr->children[0]->content;
445 }
446 break;
447
448 case "imageone" :
449 {
450 $imageOneID = $attr->children[0]->content;
451 }
452 break;
453
454 case "imagetwo" :
455 {
456 $imageTwoID = $attr->children[0]->content;
457 }
458 break;
459
460 case "description" :
461 {
462 $description = $attr->children[0]->content;
463 }
464 break;
465 }
466 }
467 }
468
469 // get the imagevariations from the images.
470 if ( is_numeric( $imageOneID ) )
471 {
472 $image = new eZImage( $imageOneID );
473 $imageOneWidth = $image->width();
474 $imageOneHeight = $image->height();
475 $variation =& $image->requestImageVariation( $imageOneWidth, $imageOneHeight );
476 $imageOneURL = "/" . $variation->imagePath();
477 }
478
479 if ( is_numeric( $imageTwoID ) )
480 {
481 $image = new eZImage( $imageTwoID );
482 $imageTwoWidth = $image->width();
483 $imageTwoHeight = $image->height();
484 $variation =& $image->requestImageVariation( $imageTwoWidth, $imageOneWidth );
485 $imageTwoURL = "/" . $variation->imagePath();
486 }
487
488 $this->Template->set_var( "url", $url );
489 $this->Template->set_var( "image_one_url", $imageOneURL );
490 $this->Template->set_var( "image_one_width", $imageOneWidth );
491 $this->Template->set_var( "image_one_height", $imageOneHeight );
492
493 $this->Template->set_var( "image_two_url", $imageTwoURL );
494 $this->Template->set_var( "image_two_width", $imageTwoWidth );
495 $this->Template->set_var( "image_two_height", $imageTwoHeight );
496
497 $this->Template->set_var( "link_text", $description );
498
499 $this->Template->set_var( "rollover_id", ++$this->RollOverCount );
500
501 $pageContent = $this->Template->parse( "rollover", "rollover_tpl" );
502 }
503
504 return $pageContent;
505 }
506
507
511 function &renderHeader( $paragraph )
512 {
513 $pageContent = "";
514 if ( $paragraph->name == "header" )
515 {
516 $level = 1;
517 if ( isset( $paragraph->attributes ) and count( $paragraph->attributes ) > 0 )
518 foreach ( $paragraph->attributes as $attr )
519 {
520 switch ( $attr->name )
521 {
522 case "level" :
523 {
524 $level = $attr->children[0]->content;
525 }
526 break;
527 }
528 }
529
530 if ( count( $paragraph->children ) > 0 )
531 foreach ( $paragraph->children as $child )
532 {
533 if ( $child->name == "text" )
534 {
535 $content = $child->content;
536 }
537 else
538 {
539 // nested tags in header ? not yet..
540 // $content .= $this->renderStandards( $child );
541 // $content .= $this->renderCustom( $child );
542 // $content .= $this->renderLink( $child );
543 }
544 }
545
546 $level = min( 6, $level );
547 $level = max( 1, $level );
548
549
550 $this->Template->set_var( "contents", $content );
551 $pageContent =& $this->Template->parse( "header_" . $level, "header_" . $level. "_tpl" );
552 }
553 return $pageContent;
554 }
555
559 function &renderImage( $paragraph )
560 {
561 $pageContent = "";
562 $image = "";
563 if ( $paragraph->name == "image" )
564 {
565 $articleImages = $this->Article->images();
566 $articleID = $this->Article->id();
567 $imageHref = '';
568 $imageCaptionOverride = '';
569 $imageTarget = '';
570 $mapName = '';
571 if (!isset($GLOBALS["ViewMode"]))
572 {
573 $GLOBALS["ViewMode"] = '';
574 }
575
576 $level = 1;
577 if ( isset( $paragraph->attributes ) and count( $paragraph->attributes ) > 0 )
578 foreach ( $paragraph->attributes as $attr )
579 {
580 switch ( $attr->name )
581 {
582 case "id" :
583 {
584 $imageID = $attr->children[0]->content;
585 }
586 break;
587
588 case "align" :
589 {
590 $imageAlignment = $attr->children[0]->content;
591 }
592 break;
593
594 case "size" :
595 {
596 $imageSize = $attr->children[0]->content;
597 }
598 break;
599
600 case "href" :
601 {
602 $imageHref = $attr->children[0]->content;
603 }
604 break;
605
606 case "caption" :
607 {
608 $imageCaptionOverride = trim( $attr->children[0]->content );
609 }
610 break;
611
612 case "target" :
613 {
614 $imageTarget = trim( $attr->children[0]->content );
615 }
616 break;
617 }
618 }
619
620 setType( $imageID, "integer" );
621
622 foreach ( $articleImages as $imageArray )
623 {
624 if ( $imageArray["Placement"] == $imageID )
625 $image = $imageArray["Image"];
626 }
627
628 // check if it should link to original image
629 if ( $imageHref == "originalimage" )
630 {
631 $imageHref = $image->filePath();
632 }
633
634 $hasMap = false;
635 $mapString = "";
636 if ( isset( $image ) && is_object( $image ) && ( $image->hasMap() == true ) )
637 {
638 print( "object image<br>" );
639 $hasMap = true;
640 // include_once( "ezarticle/classes/ezimagemap.php" );
641 $map = new eZImageMap( $image->id() );
642
643 $elements =& $map->elements();
644
645 // generate HTML map:
646 $mapName = "eZMap_" . $image->id();
647 $mapString = "<map name=\"$mapName\">\n";
648
649 foreach ( $elements as $element )
650 {
651 $elementParts = explode( "|", $element );
652
653 $imageMapHref = $elementParts[0];
654 if ( !preg_match( "%^(([a-z]+://)|/|#)%", $imageMapHref ) )
655 $imageMapHref = "http://" . $imageMapHref;
656
657 if ( $elementParts[2] == "1" )
658 {
659 $mapString .= "<area shape=\"circle\" coords=\"" .
660 $elementParts[3] . "," .
661 $elementParts[4] . "," .
662 $elementParts[5] . "," .
663 $elementParts[6] . "\" href=\"" . $imageMapHref . "\" />\n";
664 }
665 else
666 {
667 $mapString .= "<area shape=\"rect\" coords=\"" .
668 $elementParts[3] . "," .
669 $elementParts[4] . "," .
670 $elementParts[5] . "," .
671 $elementParts[6] . "\" href=\"" . $imageMapHref . "\" />\n";
672 }
673 }
674 $mapString .= "</map>\n";
675 }
676
677 // add image if a valid image was found, else report an error in the log.
678 if ( is_a( $image, "eZImage" ) )
679 {
680 $ini =& eZINI::instance( 'site.ini' );
681
682 // store the relative ID to the image
683 $this->UsedImageList[] = $imageID;
684
685 if ( $hasMap == false )
686 {
687 switch ( $imageSize )
688 {
689 case "small" :
690 {
691 $variation =& $image->requestImageVariation( $ini->variable( "eZArticleMain", "SmallImageWidth" ),
692 $ini->variable( "eZArticleMain", "SmallImageHeight" ) );
693 }
694 break;
695 case "medium" :
696 {
697 $variation =& $image->requestImageVariation( $ini->variable( "eZArticleMain", "MediumImageWidth" ),
698 $ini->variable( "eZArticleMain", "MediumImageHeight" ) );
699 }
700 break;
701 case "large" :
702 {
703 $variation =& $image->requestImageVariation( $ini->variable( "eZArticleMain", "LargeImageWidth" ),
704 $ini->variable( "eZArticleMain", "LargeImageHeight" ) );
705 }
706 break;
707
708 case "original" :
709 {
710 $variation =& $image;
711 }
712 break;
713
714 default :
715 {
716 $variation =& $image->requestImageVariation( $ini->variable( "eZArticleMain", "MediumImageWidth" ),
717 $ini->variable( "eZArticleMain", "MediumImageHeight" ) );
718 }
719 }
720 }
721 else
722 {
723 // use original image if it's an image map.
724 $variation =& $image;
725 }
726
727 if ( is_a( $variation, "eZImage" ) )
728 {
729 $imageURL = $variation->filePath();
730 if( is_object( $variation ) )
731 {
732 $imageURL = "/" . $variation->imagePath();
733 $imageWidth = $variation->width();
734 $imageHeight = $variation->height();
735 }
736 else
737 {
738 $imageURL = "/" . $variation->imagePath();
739 // $imageURL = false;
740 $imageWidth = 0;
741 $imageHeight = 0;
742 }
743 }
744 elseif( is_object( $variation ) )
745 {
746 $imageURL = "/" . $variation->imagePath();
747 $imageWidth = $variation->width();
748 $imageHeight = $variation->height();
749 }
750 else
751 {
752 $imageURL = false;
753 $imageWidth = 0;
754 $imageHeight = 0;
755 }
756
757 if ( $imageCaptionOverride != "" )
758 {
759 if ( $imageCaptionOverride == "_blank" )
760 {
761 $imageCaption = "";
762 }
763 else
764 {
765 $imageCaption = $imageCaptionOverride;
766 }
767 }
768 else
769 {
770 $imageCaption = $image->caption();
771 }
772
773 $imageID = $image->id();
774
775 $viewMode = $GLOBALS["ViewMode"];
776
777 if ( $viewMode == "" )
778 {
779 $viewMode = "view";
780 }
781
782
783 $this->Template->set_var( "image_file_name", $image->fileName() );
784
785 $this->Template->set_var( "image_width", $imageWidth );
786 $this->Template->set_var( "image_height", $imageHeight );
787 $this->Template->set_var( "image_alignment", $imageAlignment );
788 $this->Template->set_var( "image_id", $imageID );
789 $this->Template->set_var( "image_url", $imageURL );
790 $this->Template->set_var( "article_id", $articleID );
791 $this->Template->set_var( "view_mode", $viewMode );
792 $this->Template->set_var( "caption", $imageCaption );
793 $this->Template->set_var( "target", $imageTarget );
794
795 $this->Template->set_var( "map_name", "usemap=\"#" . $mapName . "\"" );
796 $this->Template->set_var( "map_string", $mapString );
797
798 $this->Template->set_var( "referer_url", $_SERVER["REQUEST_URI"] );
799
800 if ( $hasMap == true )
801 {
802 $imageHref = "0";
803 }
804
805 if ( $imageAlignment != "float" )
806 {
807 if ( $imageHref == "0" )
808 {
809 $this->Template->set_var( "ext_link", "" );
810 $this->Template->set_var( "image_link", "" );
811 $this->Template->parse( "no_link", "no_link_tpl" );
812 }
813 elseif ( $imageHref != "" )
814 {
815 // convert link
816 if ( !preg_match( "%^(([a-z]+://)|/|#)%", $imageHref ) )
817 $imageHref = "http://" . $imageHref;
818 $this->Template->set_var( "image_href", $imageHref );
819 $this->Template->set_var( "image_link", "" );
820 $this->Template->set_var( "no_link", "" );
821 $this->Template->parse( "ext_link", "ext_link_tpl" );
822 }
823 else
824 {
825 $this->Template->set_var( "ext_link", "" );
826 $this->Template->set_var( "no_link", "" );
827 $this->Template->parse( "image_link", "image_link_tpl" );
828 }
829
830 if ( trim( $imageCaption ) == "" )
831 {
832 $this->Template->set_var( "image_text", "" );
833 }
834 else
835 {
836 $this->Template->parse( "image_text", "image_text_tpl" );
837 }
838
839 $pageContent = $this->Template->parse( "image", "image_tpl" );
840 }
841 else
842 {
843 if ( $imageHref == "0" )
844 {
845 $this->Template->set_var( "ext_link_float", "" );
846 $this->Template->set_var( "image_link_float", "" );
847 $this->Template->parse( "no_link_float", "no_link_float_tpl" );
848 }
849 elseif ( $imageHref != "" )
850 {
851 // convert link
852 if ( !preg_match( "%^(([a-z]+://)|/|#)%", $imageHref ) )
853 $imageHref = "http://" . $imageHref;
854 $this->Template->set_var( "image_href", $imageHref );
855 $this->Template->set_var( "image_link_float", "" );
856 $this->Template->set_var( "no_link_float", "" );
857 $this->Template->parse( "ext_link_float", "ext_link_float_tpl" );
858 }
859 else
860 {
861 $this->Template->set_var( "ext_link_float", "" );
862 $this->Template->set_var( "no_link_float", "" );
863 $this->Template->parse( "image_link_float", "image_link_float_tpl" );
864 }
865
866 $pageContent = $this->Template->parse( "image_float", "image_float_tpl" );
867 }
868 }
869 }
870
871 return $pageContent;
872 }
873
877 function &renderMedia( $paragraph )
878 {
879 $pageContent = "";
880 if ( $paragraph->name == "media" )
881 {
882 $articleMedia = $this->Article->media();
883 $articleID = $this->Article->id();
884
885 $level = 1;
886 if ( isset( $paragraph->attributes ) and ( $paragraph->attributes ) > 0 )
887 foreach ( $paragraph->attributes as $attr )
888 {
889 switch ( $attr->name )
890 {
891 case "id" :
892 {
893 $mediaID = $attr->children[0]->content;
894 }
895 break;
896 }
897 }
898
899 setType( $mediaID, "integer" );
900
901 $media = $articleMedia[$mediaID-1];
902
903 // add media if a valid media was found, else report an error in the log.
904 if ( is_a( $media, "eZMedia" ) )
905 {
906 $ini =& eZINI::instance( 'site.ini' );
907
908 $mediaURL = $media->mediaPath();
909
910 $mediaCaption = $media->caption();
911 $mediaID = $media->id();
912
913 $attributeString =& $media->attributeString();
914
915 $this->Template->set_var( "media_id", $mediaID );
916 $this->Template->set_var( "media_uri", $mediaURL );
917 $this->Template->set_var( "article_id", $articleID );
918 $this->Template->set_var( "caption", $mediaCaption );
919 $this->Template->set_var( "attribute_string", $attributeString );
920
921 $pageContent = $this->Template->parse( "media", "media_tpl" );
922
923 }
924 }
925 return $pageContent;
926 }
927
931 function &renderFile( $paragraph )
932 {
933 global $GlobalSiteIni;
934 $pageContent = "";
935 if ( $paragraph->name == "file" )
936 {
937 $articleFiles = $this->Article->files();
938 $articleID = $this->Article->id();
939
940 $level = 1;
941 if ( count( $paragraph->attributes ) > 0 )
942 foreach ( $paragraph->attributes as $attr )
943 {
944 switch ( $attr->name )
945 {
946 case "id" :
947 {
948 $fileID = $attr->children[0]->content;
949 }
950 break;
951
952 case "text" :
953 {
954 $fileText = $attr->children[0]->content;
955 }
956 break;
957 }
958 }
959
960 setType( $fileID, "integer" );
961
962 $file = $articleFiles[$fileID-1];
963
964 // add media if a valid media was found, else report an error in the log.
965 if ( is_a( $file, "eZVirtualFile" ) )
966 {
967 $fileID = $file->id();
968
969 $ini =& eZINI::instance( 'site.ini' );
970
971 $fileName = str_replace( " ", "%20", $file->originalFileName() );
972 $this->Template->set_var( "file_uri", $GlobalSiteIni->Index . "/filemanager/download/" . $fileID . "/" . $fileName );
973 $this->Template->set_var( "text", $fileText );
974
975 $pageContent = $this->Template->parse( "file", "file_tpl" );
976
977 }
978 }
979 return $pageContent;
980 }
981
982 function &renderPlain( $paragraph )
983 {
984 // ordinary text
985 if ( $paragraph->name == "#text" || $paragraph->name == "text" )
986 {
987 $paragraph_text = $paragraph->content;
988 if ( $paragraph_text != "" and $paragraph_text[0] == "\n" )
989 {
990 if ( $this->PrevTag != "link" )
991 $paragraph_text[0] = " ";
992 }
993 $pageContent = eZTextTool::nl2br( $paragraph_text, $this->BrOverride );
994 }
995 return $pageContent;
996 }
997
1001 function &renderStandards( $paragraph )
1002 {
1003 $pageContent = "";
1004 switch ( $paragraph->name )
1005 {
1006 case "bullet" :
1007 case "list" :
1008 {
1009 $tmpContent = "";
1010 $content = "";
1011 $lines = array();
1012 $oldBullet = true;
1013 foreach ( $paragraph->children as $child )
1014 {
1015 if ( $child->name == "li" )
1016 {
1017 $oldBullet = false;
1018 $content = "";
1019 if ( count( $child->children ) > 0 )
1020 foreach ( $child->children as $listItem )
1021 {
1022 if ( $listItem->name == "text" )
1023 {
1024 $content .= $listItem->content;
1025 }
1026 else
1027 {
1028 $content .= $this->renderStandards( $listItem );
1029 $content .= $this->renderCustom( $listItem );
1030 $content .= $this->renderLink( $listItem );
1031 $content .= $this->renderImage( $listItem );
1032 $content .= $this->renderMedia( $listItem );
1033 $content .= $this->renderFile( $listItem );
1034 $content .= $this->renderHeader( $listItem );
1035 $content .= $this->renderHr( $listItem );
1036 $content .= $this->renderTable( $listItem );
1037 $content .= $this->renderRollOver( $listItem );
1038 }
1039
1040 }
1041 $lines[] = $content;
1042 }
1043 else
1044 {
1045 if ( $child->name == "text" )
1046 {
1047 $content .= $child->content;
1048 }
1049 else
1050 {
1051 $content .= $this->renderStandards( $child );
1052 $content .= $this->renderCustom( $child );
1053 $content .= $this->renderLink( $child );
1054 $content .= $this->renderImage( $child );
1055 $content .= $this->renderMedia( $child );
1056 $content .= $this->renderFile( $child );
1057 $content .= $this->renderHeader( $child );
1058 $content .= $this->renderHr( $child );
1059 $content .= $this->renderTable( $child );
1060 $content .= $this->renderRollOver( $child );
1061 }
1062 }
1063 }
1064
1065 // compatible with old style bullet lists where \n was the
1066 // itemseparator.
1067 if ( $oldBullet == true )
1068 {
1069 $content = trim( $content );
1070 $lines = explode( "\n", $content );
1071 }
1072
1073 if ( $paragraph->name == "bullet" )
1074 {
1075 $this->Template->set_var( "bullet", "" );
1076 $this->Template->set_var( "bullet_item", "" );
1077
1078 foreach ( $lines as $line )
1079 {
1080 $this->Template->set_var( "contents", $line );
1081 $tmpContent = $this->Template->parse( "bullet_item", "bullet_item_tpl", true );
1082 }
1083 $pageContent = $this->Template->parse( "bullet", "bullet_tpl" );
1084 }
1085 else
1086 {
1087 $this->Template->set_var( "list", "" );
1088 $this->Template->set_var( "list_item", "" );
1089
1090 foreach ( $lines as $line )
1091 {
1092 $this->Template->set_var( "contents", $line );
1093 $tmpContent = $this->Template->parse( "list_item", "list_item_tpl", true );
1094 }
1095 $pageContent = $this->Template->parse( "list", "list_tpl" );
1096 }
1097
1098 } break;
1099
1100 case "bold" :
1101 case "italic" :
1102 case "underline" :
1103 case "strike" :
1104 case "strong" :
1105 case "factbox" :
1106 case "quote" :
1107 case "pre" :
1108 case "html" :
1109 case "form" :
1110 {
1111 $tmpContent = "";
1112 if ( !is_null( $paragraph->children ) && count( $paragraph->children ) )
1113 foreach ( $paragraph->children as $child )
1114 {
1115 if ( $child->name == "text" )
1116 {
1117 if ( $paragraph->name == "pre" || $paragraph->name == "html")
1118 $tmpContent .= $child->content;
1119 else
1120 $tmpContent .= eZTextTool::nl2br( $child->content, $this->BrOverride );
1121
1122 }
1123 else
1124 {
1125 $tmpContent .= $this->renderStandards( $child );
1126 $tmpContent .= $this->renderCustom( $child );
1127 $tmpContent .= $this->renderLink( $child );
1128 $tmpContent .= $this->renderImage( $child );
1129 $tmpContent .= $this->renderMedia( $child );
1130 $tmpContent .= $this->renderFile( $child );
1131 $tmpContent .= $this->renderHeader( $child );
1132 $tmpContent .= $this->renderHr( $child );
1133 $tmpContent .= $this->renderTable( $child );
1134 $tmpContent .= $this->renderRollOver( $child );
1135 }
1136 }
1137
1138 $this->Template->set_var( "contents", $tmpContent );
1139
1140 switch ( $paragraph->name )
1141 {
1142 case "bold" :
1143 $pageContent = trim( $this->Template->parse( "bold", "bold_tpl" ) );
1144 break;
1145 case "italic" :
1146 $pageContent = trim( $this->Template->parse( "italic", "italic_tpl" ) );
1147 break;
1148 case "underline" :
1149 $pageContent = trim( $this->Template->parse( "underline", "underline_tpl" ) );
1150 break;
1151 case "strong" :
1152 $pageContent = trim( $this->Template->parse( "strong", "strong_tpl" ) );
1153 break;
1154 case "strike" :
1155 $pageContent = trim( $this->Template->parse( "strike", "strike_tpl" ) );
1156 break;
1157 case "factbox" :
1158 $pageContent = trim( $this->Template->parse( "factbox", "factbox_tpl" ) );
1159 break;
1160 case "pre" :
1161 $this->Template->set_var( "contents", htmlspecialchars( $tmpContent ) );
1162 $pageContent = trim( $this->Template->parse( "pre", "pre_tpl" ) );
1163 break;
1164 case "html" :
1165 $pageContent = trim( $this->Template->parse( "html", "html_tpl" ) );
1166 break;
1167 case "quote" :
1168 $this->Template->set_var( "contents", trim( $tmpContent ) );
1169 $pageContent = trim( $this->Template->parse( "quote", "quote_tpl" ) );
1170 break;
1171 case "form" :
1172 {
1173 // include_once( "ezform/classes/ezformrenderer.php" );
1174
1175 $forms = $this->Article->forms();
1176 if ( count ($forms) == 1 )
1177 {
1178 $formRenderer = new eZFormRenderer();
1179 $output = $formRenderer->renderForm( $forms[0] );
1180
1181 $pageContent = $output;
1182 }
1183 }
1184 break;
1185 }
1186
1187 }break;
1188 }
1189
1190 return $pageContent;
1191 }
1192
1193
1197 function &renderCustom( $paragraph )
1198 {
1199 $pageContent = "";
1200 $tagName = $paragraph->name;
1201
1202 if ( in_array( $tagName, $this->CustomTagsArray ) )
1203 {
1204 $tmpContent = "";
1205 if ( count( $paragraph->children ) )
1206 {
1207 foreach ( $paragraph->children as $child )
1208 {
1209 if ( $child->name == "text" )
1210 {
1211 $tmpContent .= eZTextTool::nl2br( $child->content, $this->BrOverride );
1212 }
1213 else
1214 {
1215 $tmpContent .= $this->renderStandards( $child );
1216 $tmpContent .= $this->renderCustom( $child );
1217 $tmpContent .= $this->renderLink( $child );
1218 $tmpContent .= $this->renderImage( $child );
1219 $tmpContent .= $this->renderMedia( $media );
1220 $tmpContent .= $this->renderFile( $media );
1221 $tmpContent .= $this->renderHeader( $child );
1222 $tmpContent .= $this->renderHr( $child );
1223 $tmpContent .= $this->renderTable( $child );
1224 $tmpContent .= $this->renderRollOver( $child );
1225 }
1226 }
1227 }
1228
1229 $this->Template->set_var( "contents", $tmpContent );
1230
1231 $pageContent = trim( $this->Template->parse( "$tagName", $tagName ."_tpl" ) );
1232 }
1233
1234 return $pageContent;
1235 }
1236
1240 function &renderLink( $paragraph )
1241 {
1242 $pageContent = "";
1243 $to = "";
1244 $subject = "";
1245 $href = "";
1246 $text = "";
1247 if ( $paragraph->name == "link" )
1248 {
1249 if ( isset( $paragraph->attributes ) && count( $paragraph->attributes ) > 0 )
1250 foreach ( $paragraph->attributes as $attr )
1251 {
1252 switch ( $attr->name )
1253 {
1254 case "href" :
1255 {
1256 $href = $attr->children[0]->content;
1257 }
1258 break;
1259
1260 case "text" :
1261 {
1262 $text = $attr->children[0]->content;
1263 }
1264 break;
1265
1266 case "target" :
1267 {
1268 $target = $attr->children[0]->content;
1269 }
1270 break;
1271 }
1272 }
1273
1274 if ( !preg_match( "%^(([a-z]+://)|/|#)%", $href ) )
1275 $href = "http://" . $href;
1276
1277 $this->Template->set_var( "href", $href );
1278 if ( !isset( $target ) )
1279 $target = "";
1280 $this->Template->set_var( "target", $target );
1281 $this->Template->set_var( "link_text", $text );
1282
1283 $pageContent =& trim( $this->Template->parse( "link", "link_tpl" ) );
1284 }
1285
1286 if ( $paragraph->name == "popuplink" )
1287 {
1288 if ( isset( $paragraph->attributes ) && count( $paragraph->attributes ) > 0 )
1289 foreach ( $paragraph->attributes as $attr )
1290 {
1291 switch ( $attr->name )
1292 {
1293 case "href" :
1294 {
1295 $href = $attr->children[0]->content;
1296 }
1297 break;
1298
1299 case "text" :
1300 {
1301 $text = $attr->children[0]->content;
1302 }
1303 break;
1304 }
1305 }
1306
1307 if ( !preg_match( "%^(([a-z]+://)|/|#)%", $href ) )
1308 $href = "http://" . $href;
1309
1310 $this->Template->set_var( "href", $href );
1311 $this->Template->set_var( "link_text", $text );
1312 $pageContent =& trim( $this->Template->parse( "popuplink", "popuplink_tpl" ) );
1313 }
1314
1315
1316 // ez anchor
1317 if ( $paragraph->name == "ezanchor" )
1318 {
1319 foreach ( $paragraph->attributes as $anchorItem )
1320 {
1321 switch ( $anchorItem->name )
1322 {
1323 case "href" :
1324 {
1325 $href = $anchorItem->children[0]->content;
1326 }
1327 break;
1328 }
1329 }
1330
1331 $pageContent .= "<a name=\"$href\"></a>";
1332 }
1333
1334 // mail
1335 if ( $paragraph->name == "mail" )
1336 {
1337 if ( isset( $paragraph->attributes ) && count( $paragraph->attributes ) > 0 )
1338 foreach ( $paragraph->attributes as $mailItem )
1339 {
1340 switch ( $mailItem->name )
1341 {
1342 case "to" :
1343 {
1344 $to = $mailItem->children[0]->content;
1345 }
1346 break;
1347
1348 case "subject" :
1349 {
1350 $subject = $mailItem->children[0]->content;
1351 }
1352 break;
1353
1354 case "text" :
1355 {
1356 $text = $mailItem->children[0]->content;
1357 }
1358 break;
1359 }
1360 }
1361
1362 $this->Template->set_var( "href", "mailto:$to?subject=$subject" );
1363 $this->Template->set_var( "link_text", $text );
1364 $pageContent =& $this->Template->parse( "link", "link_tpl" );
1365 $pageContent = preg_replace("/\s+target=\"{target}\"\s*/", "", $pageContent );
1366 }
1367
1368 // ezarticle
1369 if ( $paragraph->name == "ezarticle" )
1370 {
1371 if ( count( $paragraph->attributes ) > 0 )
1372 foreach ( $paragraph->attributes as $attr )
1373 {
1374 switch ( $attr->name )
1375 {
1376 case "id" :
1377 {
1378 $id = $attr->children[0]->content;
1379 }
1380 break;
1381
1382 case "text" :
1383 {
1384 $text = $attr->children[0]->content;
1385 $text = htmlentities( $text );
1386 }
1387 break;
1388 }
1389 }
1390
1391 global $GlobalSiteIni;
1392 $href = "$GlobalSiteIni->WWWDir$GlobalSiteIni->Index/article/view/" . $id;
1393 $this->Template->set_var( "href", $href );
1394 $this->Template->set_var( "target", "" );
1395 $this->Template->set_var( "link_text", $text );
1396 $pageContent =& trim( $this->Template->parse( "link", "link_tpl" ) );
1397 }
1398
1399 // ezstatic
1400 if ( $paragraph->name == "ezstatic" )
1401 {
1402 if ( count( $paragraph->attributes ) > 0 )
1403 foreach ( $paragraph->attributes as $attr )
1404 {
1405 switch ( $attr->name )
1406 {
1407 case "id" :
1408 {
1409 $id = $attr->children[0]->content;
1410 }
1411 break;
1412
1413 case "text" :
1414 {
1415 $text = $attr->children[0]->content;
1416 $text = htmlentities( $text );
1417 }
1418 break;
1419 }
1420 }
1421
1422 global $GlobalSiteIni;
1423 $href = "$GlobalSiteIni->WWWDir$GlobalSiteIni->Index/article/static/" . $id;
1424 $this->Template->set_var( "href", $href );
1425 $this->Template->set_var( "target", "" );
1426 $this->Template->set_var( "link_text", $text );
1427 $pageContent =& trim( $this->Template->parse( "link", "link_tpl" ) );
1428 }
1429
1430 // ezcategory
1431 if ( $paragraph->name == "ezcategory" )
1432 {
1433 if ( count( $paragraph->attributes ) > 0 )
1434 foreach ( $paragraph->attributes as $attr )
1435 {
1436 switch ( $attr->name )
1437 {
1438 case "id" :
1439 {
1440 $id = $attr->children[0]->content;
1441 }
1442 break;
1443
1444 case "text" :
1445 {
1446 $text = $attr->children[0]->content;
1447 $text = htmlentities( $text );
1448 }
1449 break;
1450 }
1451 }
1452
1453 global $GlobalSiteIni;
1454 $href = "$GlobalSiteIni->WWWDir$GlobalSiteIni->Index/article/archive/" . $id;
1455 $this->Template->set_var( "href", $href );
1456 $this->Template->set_var( "target", "" );
1457 $this->Template->set_var( "link_text", $text );
1458 $pageContent =& trim( $this->Template->parse( "link", "link_tpl" ) );
1459 }
1460 return $pageContent;
1461 }
1462
1466 function usedImageList()
1467 {
1468 return $this->UsedImageList;
1469 }
1470
1471
1472 function &renderHr( $paragraph )
1473 {
1474 $pageContent = "";
1475 if ( $paragraph->name == "hr" )
1476 {
1477 $pageContent =& $this->Template->parse( "hr", "hr_tpl" );
1478 }
1479 return $pageContent;
1480 }
1481
1485 function &renderTable( $paragraph )
1486 {
1487 $template = $this->Template;
1488 if ( $paragraph->name == "table" )
1489 {
1490 $template->set_var( "tr", "" );
1491 $template->set_var( "td", "" );
1492
1493 $tableWidth = "100%";
1494 $tableBorder = 1;
1495 if ( isset( $paragraph->attributes ) && count( $paragraph->attributes ) > 0 )
1496 foreach ( $paragraph->attributes as $attr )
1497 {
1498 switch ( $attr->name )
1499 {
1500 case "width" :
1501 {
1502 $tableWidth = $attr->children[0]->content;
1503 }
1504 break;
1505 case "border" :
1506 {
1507 $tableBorder = $attr->children[0]->content;
1508 }
1509 break;
1510 }
1511 }
1512
1513 foreach ( $paragraph->children as $row )
1514 {
1515 if ( $row->name == "tr" )
1516 {
1517 $template->set_var( "td", "" );
1518
1519 foreach ( $row->children as $data )
1520 {
1521 if ( $data->name == "td" )
1522 {
1523 $tdWidth = "";
1524 $tdColspan = 1;
1525 $tdRowspan = 1;
1526 if ( isset( $data->attributes ) and count( $data->attributes ) > 0 )
1527 foreach ( $data->attributes as $attr )
1528 {
1529 switch ( $attr->name )
1530 {
1531 case "width" :
1532 {
1533 $tdWidth = $attr->children[0]->content;
1534 }
1535 break;
1536 case "colspan" :
1537 {
1538 $tdColspan = $attr->children[0]->content;
1539 }
1540 break;
1541 case "rowspan" :
1542 {
1543 $tdRowspan = $attr->children[0]->content;
1544 }
1545 break;
1546 }
1547 }
1548
1549 $childrenData =& $this->renderChildren( $data );
1550 $template->set_var( "contents", $childrenData );
1551 $template->set_var( "td_width", $tdWidth );
1552 $template->set_var( "td_colspan", $tdColspan );
1553 $template->set_var( "td_rowspan", $tdRowspan );
1554 $template->parse( "td", "td_tpl", true );
1555 }
1556 }
1557 $template->parse( "tr", "tr_tpl", true );
1558 }
1559 }
1560 $template->set_var( "table_width", $tableWidth );
1561 $template->set_var( "table_border", $tableBorder );
1562 $pageContent =& $template->parse( "table", "table_tpl" );
1563 }
1564
1565 return $pageContent;
1566 }
1567
1572 function &renderChildren( $paragraph )
1573 {
1574 $tmpContent = "";
1575 // render children
1576 if ( count( $paragraph->children ) )
1577 foreach ( $paragraph->children as $child )
1578 {
1579 if ( $child->name == "text" )
1580 {
1581 if ( !isset( $child->content ) )
1582 $child->content = "";
1583 $tmpContent .= eZTextTool::nl2br( $child->content, $this->BrOverride );
1584 }
1585 else
1586 {
1587 $tmpContent .= $this->renderStandards( $child );
1588 $tmpContent .= $this->renderCustom( $child );
1589 $tmpContent .= $this->renderLink( $child );
1590 $tmpContent .= $this->renderImage( $child );
1591 $tmpContent .= $this->renderMedia( $child );
1592 $tmpContent .= $this->renderFile( $child );
1593 $tmpContent .= $this->renderHeader( $child );
1594 $tmpContent .= $this->renderHr( $child );
1595 $tmpContent .= $this->renderTable( $child );
1596 $tmpContent .= $this->renderRollOver( $child );
1597 }
1598 }
1599 return $tmpContent;
1600 }
1601
1602 var $UsedImageList;
1603 var $Article;
1604 var $PrevTag;
1605 var $Template;
1606
1608 var $BrOverride = true;
1609
1611 var $CustomTagsArray;
1612
1613 // a counter for rollover.
1614 var $RollOverCount;
1615 }
$i
$i
Definition: admin/adlist.php:91
$level
$level
Definition: admin/message.php:106
$article
$article
Definition: articlelog.php:45
Template
Definition: template.inc.php:13
Template\set_var
set_var($varname, $value="")
Definition: template.inc.php:129
Template\set_block
set_block($parent, $handle, $name="")
Definition: template.inc.php:106
Template\set_file
set_file($handle, $filename="")
Definition: template.inc.php:81
Template\parse
parse( $target, $handle, $append=false)
Definition: template.inc.php:178
eZFormRenderer
Definition: ezformrenderer.php:50
eZImageMap
Definition: ezimagemap.php:37
eZImage
Definition: ezimage.php:95
eZQDomRenderer
Definition: ezqdomrenderer.php:146
eZQDomRenderer\$RollOverCount
$RollOverCount
Definition: ezqdomrenderer.php:1614
eZQDomRenderer\renderStandards
& renderStandards( $paragraph)
Definition: ezqdomrenderer.php:1001
eZQDomRenderer\renderLink
& renderLink( $paragraph)
Definition: ezqdomrenderer.php:1240
eZQDomRenderer\renderImage
& renderImage( $paragraph)
Definition: ezqdomrenderer.php:559
eZQDomRenderer\renderChildren
& renderChildren( $paragraph)
Definition: ezqdomrenderer.php:1572
eZQDomRenderer\$UsedImageList
$UsedImageList
Definition: ezqdomrenderer.php:1602
eZQDomRenderer\$CustomTagsArray
$CustomTagsArray
stores the custom tags array
Definition: ezqdomrenderer.php:1611
eZQDomRenderer\renderCustom
& renderCustom( $paragraph)
Definition: ezqdomrenderer.php:1197
eZQDomRenderer\renderRollOver
& renderRollOver( $paragraph)
Definition: ezqdomrenderer.php:431
eZQDomRenderer\usedImageList
usedImageList()
Definition: ezqdomrenderer.php:1466
eZQDomRenderer\__construct
__construct(&$article, $template=false)
Definition: ezqdomrenderer.php:150
eZQDomRenderer\$PrevTag
$PrevTag
Definition: ezqdomrenderer.php:1604
eZQDomRenderer\$Template
$Template
Definition: ezqdomrenderer.php:1605
eZQDomRenderer\renderMedia
& renderMedia( $paragraph)
Definition: ezqdomrenderer.php:877
eZQDomRenderer\renderHeader
& renderHeader( $paragraph)
Definition: ezqdomrenderer.php:511
eZQDomRenderer\renderHr
& renderHr( $paragraph)
Definition: ezqdomrenderer.php:1472
eZQDomRenderer\renderPlain
& renderPlain( $paragraph)
Definition: ezqdomrenderer.php:982
eZQDomRenderer\renderFile
& renderFile( $paragraph)
Definition: ezqdomrenderer.php:931
eZQDomRenderer\renderTable
& renderTable( $paragraph)
Definition: ezqdomrenderer.php:1485
eZQDomRenderer\renderPage
& renderPage( $pageNumber=0)
Definition: ezqdomrenderer.php:302
eZQDomRenderer\$BrOverride
$BrOverride
stores the override variable.
Definition: ezqdomrenderer.php:1608
eZQDomRenderer\renderIntro
& renderIntro()
Definition: ezqdomrenderer.php:242
eZQDomRenderer\$Article
$Article
Definition: ezqdomrenderer.php:1603
eZTemplate
Definition: eztemplate.php:107
eZTextTool\nl2br
static nl2br( $string, $xhtml=true)
Definition: eztexttool.php:65
eZXML\domTree
static domTree( $xmlDoc, $params=array())
Definition: ezxml.php:60
$ini
$ini
Definition: classes/admin/linklist.php:64
$id
$id
Definition: companytypelist.php:193
$lines
else $lines
Definition: csseditor.php:58
file_exists
static file_exists( $inifilename)
Definition: eZPBINIFile.php:195
$forms
$forms
Definition: ezarticle/admin/formlist.php:74
$media
if(isset( $AddMedia)) $media
Definition: ezarticle/admin/medialist.php:76
$page
$page
Definition: ezarticle/modules/content.php:28
$GlobalSiteIni
$GlobalSiteIni
Definition: ezarticle/xmlrpc/xmlrpcserver.php:33
$row
$row
Definition: ezcalendar/user/dayview.php:403
$fileName
if(eZObjectPermission::hasPermission( $file->id(), "filemanager_file", "r", $user)==false) $fileName
Definition: ezfilemanager/user/filedownload.php:43
$file
$file
Definition: ezfilemanager/user/filedownload.php:35
$content
$content
Definition: ezimagecatalogue/admin/filedownload.php:53
$variation
$variation
Definition: ezimagecatalogue/user/menubox.php:55
$element
if(! $parent) $element
Definition: folder.php:64
$elements
$elements
Definition: formedit.php:355
$output
$output
Definition: formpreview.php:81
$map
$map
Definition: imagemap.php:35
$url
$url
Definition: messagereviewlist.php:153
$articleID
if( $Action=="New") $articleID
Definition: user/articleedit.php:269
$image
$image
Definition: user/articlelist.php:242
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.